Package org.eclipse.lemminx.logs

## Class LSPClientLogHandler

- java.lang.Object
- - java.util.logging.Handler
  - - org.eclipse.lemminx.logs.LSPClientLogHandler

    public class LSPClientLogHandler
    extends Handler

LSP client JUL `Handler`

### Constructor Summary

Constructors
`LSPClientLogHandler​(org.eclipse.lsp4j.services.LanguageClient languageClient)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `close()`
`boolean` `equals​(Object o)`
`void` `flush()`
`static String` `formatRecord​(LogRecord record, Locale locale)`
`org.eclipse.lsp4j.services.LanguageClient` `getLanguageClient()`
`void` `publish​(LogRecord record)`

### Methods inherited from class java.util.logging.Handler

`getEncoding, getErrorManager, getFilter, getFormatter, getLevel, isLoggable, reportError, setEncoding, setErrorManager, setFilter, setFormatter, setLevel`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LSPClientLogHandler

    public LSPClientLogHandler​(org.eclipse.lsp4j.services.LanguageClient languageClient)

### Method Detail

#### getLanguageClient

    public org.eclipse.lsp4j.services.LanguageClient getLanguageClient()

#### publish

    public void publish​(LogRecord record)

Specified by:
  `publish` in class `Handler`

#### formatRecord

    public static String formatRecord​(LogRecord record,
                                      Locale locale)

#### flush

    public void flush()

Specified by:
  `flush` in class `Handler`

#### close

    public void close()
               throws SecurityException

Specified by:
  `close` in class `Handler`
Throws:
  `SecurityException`

#### equals

    public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`